public LayoutAttributes(Dynamic.Tekla.Structures.Drawing.Drawing Drawing) { var args = new object[1]; args[0] = Dynamic.Tekla.Structures.Drawing.Drawing_.GetTSObject(Drawing); this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.LayoutAttributes", args); }
public System.Boolean Open( Dynamic.Tekla.Structures.Drawing.Drawing drawing_) { var drawing = Dynamic.Tekla.Structures.Drawing.Drawing_.GetTSObject(drawing_); try { var result = (System.Boolean)teklaObject.Open(drawing); return(result); } catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex) { throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(Open), ex); } }
public System.Collections.Generic.List <Dynamic.Tekla.Structures.Identifier> GetModelObjectIdentifiers( Dynamic.Tekla.Structures.Drawing.Drawing drawing_) { var drawing = Dynamic.Tekla.Structures.Drawing.Drawing_.GetTSObject(drawing_); try { var result = teklaObject.GetModelObjectIdentifiers(drawing); var _result = ListConverter.FromTSObjects <Dynamic.Tekla.Structures.Identifier>(result); return(_result); } catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex) { throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(GetModelObjectIdentifiers), ex); } }
public System.Boolean PrintDrawing( Dynamic.Tekla.Structures.Drawing.Drawing drawing_, Dynamic.Tekla.Structures.Drawing.DPMPrinterAttributes printAttributes_) { var drawing = Dynamic.Tekla.Structures.Drawing.Drawing_.GetTSObject(drawing_); var printAttributes = Dynamic.Tekla.Structures.Drawing.DPMPrinterAttributes_.GetTSObject(printAttributes_); try { var result = (System.Boolean)teklaObject.PrintDrawing(drawing, printAttributes); return(result); } catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex) { throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(PrintDrawing), ex); } }
public DrawingLink(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Drawing.Drawing Target, System.String Text, Dynamic.Tekla.Structures.Drawing.Size Size, Dynamic.Tekla.Structures.Drawing.LinkAttributes Attributes) { var args = new object[6]; args[0] = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View); args[1] = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint); args[2] = Dynamic.Tekla.Structures.Drawing.Drawing_.GetTSObject(Target); args[3] = Text; args[4] = Dynamic.Tekla.Structures.Drawing.Size_.GetTSObject(Size); args[5] = Dynamic.Tekla.Structures.Drawing.LinkAttributes_.GetTSObject(Attributes); this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.DrawingLink", args); }